{
    attributes = (
        {
            allowsNull = Y; 
            columnName = ADR_ADRESSE1; 
            externalType = VARCHAR2; 
            name = adrAdresse1; 
            valueClassName = NSString; 
            width = 60; 
        }, 
        {
            allowsNull = Y; 
            columnName = ADR_ADRESSE2; 
            externalType = VARCHAR2; 
            name = adrAdresse2; 
            valueClassName = NSString; 
            width = 40; 
        }, 
        {
            allowsNull = Y; 
            columnName = ADR_BP; 
            externalType = VARCHAR2; 
            name = adrBp; 
            valueClassName = NSString; 
            width = 7; 
        }, 
        {
            columnName = ADR_ORDRE; 
            externalType = NUMBER; 
            name = adrOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = BIS_TER; 
            externalType = VARCHAR2; 
            name = bisTer; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_IMPLANTATION; 
            externalType = VARCHAR2; 
            name = cImplantation; 
            valueClassName = NSString; 
            width = 2; 
        }, 
        {
            columnName = C_PAYS; 
            externalType = VARCHAR2; 
            name = cPays; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_VOIE; 
            externalType = VARCHAR2; 
            name = cVoie; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = CODE_POSTAL; 
            externalType = VARCHAR2; 
            name = codePostal; 
            valueClassName = NSString; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = CP_ETRANGER; 
            externalType = VARCHAR2; 
            name = cpEtranger; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = HABITANT_CHEZ; 
            externalType = VARCHAR2; 
            name = habitantChez; 
            valueClassName = NSString; 
            width = 32; 
        }, 
        {
            allowsNull = Y; 
            columnName = LOCALITE; 
            externalType = VARCHAR2; 
            name = localite; 
            valueClassName = NSString; 
            width = 26; 
        }, 
        {
            allowsNull = Y; 
            columnName = NO_VOIE; 
            externalType = VARCHAR2; 
            name = noVoie; 
            valueClassName = NSString; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = NOM_VOIE; 
            externalType = VARCHAR2; 
            name = nomVoie; 
            valueClassName = NSString; 
            width = 22; 
        }, 
        {
            allowsNull = Y; 
            columnName = VILLE; 
            externalType = VARCHAR2; 
            name = ville; 
            valueClassName = NSString; 
            width = 60; 
        }
    ); 
    attributesUsedForLocking = (adrOrdre); 
    className = EOGenericRecord; 
    classProperties = (
        adrOrdre, 
        habitantChez, 
        noVoie, 
        bisTer, 
        cVoie, 
        nomVoie, 
        localite, 
        codePostal, 
        ville, 
        cPays, 
        cpEtranger, 
        cImplantation, 
        adrAdresse1, 
        adrAdresse2, 
        adrBp
    ); 
    externalName = GRHUM.ADRESSE; 
    fetchSpecificationDictionary = {}; 
    name = GrhumAdresse; 
    primaryKeyAttributes = (adrOrdre); 
}
